
(command "_rectang" (list X1 Y1 0) (list X2 Y2 0)) I change the circle to a square, point to the object-get the properties. While I do not know how - trying to implement as Lee Mac. I want to achieve a certain SPDS-without proxy-graphics.That is: clicked on the object (without calling functions) and in the palette got properties that can be changed. I am sure that I am doing something wrong, but the form starts and the program works - it satisfies me. I cannot go more into detail as long I do not know where you need help.
AUTOCAD LISP ENTSEL NIL CODE
* the controls that invoke modifications to the drawing database should be set to EventInvoke=AllowCommand to execute code asynchronously * you have to consider the events of changing active document and closing autocad * the program does not stop at dcl-form-show There are only a few things different between model and non-modal forms (modeless form, toolbar, palette): When I had built OpenDCL projects in the past I never used listbox because I always needed much mor information. Then I'd prefer a grid or listview instead of a listbox. When I understood it in the right way you want to get noticed when an object gets selected in the current space to display/modify xdata of an entity. Maybe there are other examples or ready-made solutions in the palette? The task is simple for me right now: select an object and show and change its properties in the palette (I mean extended data). In the opendcl examples, there is no explicit example for the palette - only visual design. Quote from: tujn08 on October 03, 2018, 09:27:09 PM -this code is almost all of the example. (princ "\n.As to the value of Boxlist from the palette and edit (princ "\n.CONVERTED TEXT AND MTEXT OBJECTS COLOR TO YELLOW") (princ "\n.CONVERTED OBJECTS COLOR TO BYLAYER") (princ "\n.CONVERTED OBJECTS TO SET STANDARD LAYERS") (princ "\n.CONVERTED EACH ENTITIES COLOR TO BYCOLOR") if entities selected in ss1 are text or mtext add to ss4 (if (not (member EntT (LIST "TEXT" "MTEXT"))) if entities selected in ss1 are not text or mtext add to ss3 if entities selected in ss1 are currently color bylayer add to ss2 (setq ss4 (ssadd)) All text or mtext entities (setq ss3 (ssadd)) entities that are not text or mtext (setq ss2 (ssadd)) entities that are Currently COLOR BYLAYER to be converted to BYCOLOR by BYCOL function (defun TOLAY (/ dwg_layers elist en layer layer_data layer_list state ) Put objects into layers pending color Function (princ "\n 0 selected") = If-Else procedure (setq r (append r (list (cdr (assoc 2 d)))))
AUTOCAD LISP ENTSEL NIL HOW TO
Noone will probally use it and if they do you guys would probally write it in like 20 lines but have a look and if you can show me how to reduce the ammount of code written throughout sections that would help heaps!! So anyways have a look - i said i would post what i was working on.
AUTOCAD LISP ENTSEL NIL UPDATE
Pretty much i need to update a lot of details to standard layers corresponding to the current color of the object and entity type hatch/text/mtext etc Ok i know its very long winded and could be shortened but hey it works and i'll clean it up later. I hope this function helps you out, if you don't already have it. If the color is ByBlock you will see an assoc (62. 256)))) would return nil, because the range of a color change is from 1 to 255. Your command line test: (setq ss3 (ssget "P" '((62. If you create two lines on the same layer and change the color of one of them and run the LED function on both of the lines, you will notice that the line that you changed the color now has an assoc 62 dxf list. The reason that I've included this function is that it might be useful for you while creating selection sets. Most programmers have a version of it, or one that they've created on their own. Here's a function that I've found to be very useful for displaying the dxf information of entities on the text screen in an easy to read format. (if (not (member EntType$ (list "TEXT" "MTEXT"))) (setq EntType$ (cdr (assoc 0 (assoc 62 (member EntType$ (list "TEXT" "MTEXT")) (defun c:SS1234 (/ Cnt# EntName^ EntType$) If you are intending to make selection sets SS2, SS3 and SS4 from SS1, here is a method that might work for you. In your command line test cases with (ssget "P") each time the "P"revious selection set gets smaller and smaller.
